Package gnu.jel

# Class Parser

java.lang.Object
gnu.jel.Parser

public class Parser extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected int`
`c`
`int`
`ct_column`
Column, where the current token started
`int`
`ct_line`
Line, where the current token started
`int`
`type`
type of the current token
`Object`
`val`
value of the current <LITERAL> token wrapped into a reflection object

## Constructor Summary

Constructors
Constructor
Description
`Parser(String in, Library lib)`
Initializes the parser.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`consume(int cc)`
`void`
`error(int code, Object param, int column)`
`boolean`
`isCast()`
`void`
`nextToken()`
`OP`
`parse(Class<?> resultType)`
Parses expression.
`protected int`
`read()`
Reads character from underlying Reader.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### c

protected int c

### ct_column

public int ct_column
Column, where the current token started

### ct_line

public int ct_line
Line, where the current token started

### val

public Object val
value of the current <LITERAL> token wrapped into a reflection object

### type

public int type
type of the current token

## Constructor Details

### Parser

public Parser(String in, Library lib)
Initializes the parser.

Parameters:
  `in` - expression to parse
  `lib` - library to resolve functions in

## Method Details

### read

protected int read()
Reads character from underlying Reader.

Additionally it counts line and column numbers. The read character is automatically set as a current char of this Tokenizer.

Returns:
  next character from the selected input.

### error

public void error(int code, Object param, int column) throws CompilationException

Throws:
  `CompilationException`

### consume

protected void consume(int cc) throws CompilationException

Throws:
  `CompilationException`

### nextToken

public void nextToken() throws CompilationException

Throws:
  `CompilationException`

### isCast

public boolean isCast()

### parse

public OP parse(Class<?> resultType) throws CompilationException
Parses expression.

Parameters:
  `resultType` - the type to convert the result into
Returns:
  top of the parse tree
Throws:
  `CompilationException`